News-System mit php 8.0.1

Bitte in den Beiträgen keine externe Bilder einbinden, sondern nur die Dateianhänge verwenden.
Vielen dank.
  • Hallo zusammen.

    Habe das Plugin von News-System installiert.

    Unter php 8.0.1 wird aber ein Fatal Error angezeigt wie hier

    Code
    1. Undefined array key "title"

    Dieser Fehler wird erzeugt wenn ich im ACP auf Apps > Standard Bilder anklicke.

    Sobald ich auf php 7.4.14 umstelle funktioniert alles wieder.


    mg H.B.

  • Gerne

    Hier bitte

    mfg H.B.

  • Selbe Problem hier mit PHP Version 7.4.3


  • Danke dir FunnyGirl bitte bearbeite manuell das ACP Template defaultImageList.tpl und entferne relative am Anfang folgende Zeile aus dem Quellcode


    Smarty: defaultImageList
    1. 'de.wbb-elite.news.image.standard.trash.confirmMessage': '{jslang}de.wbb-elite.news.image.standard.trash.confirmMessage{/jslang}',

    Das sollte den Fehler beheben


    Jedoch ist es sehr interessant, das es unter php8 nur diese Probleme bei dir gibt, eigentlich müsste dies bei jeder Funktion auftreten.


    Votes: 0

    Aktueller Stand

    Zusammenfassung
    Medium
    Title wird an Sprachvariable nicht übergeben
    Art
    Verbesserung
    Aktueller Status
    In Arbeit
    Komponenten
    • WSC3.1
    • WSC5.2
    Letzte Änderung
    15. Januar 2021
    Zuständiger Entwickler
    Thema

  • Cyperghost schaue mal ob das Problem auch unter der W-Suite 3.1 auftritt. Php 7.4 funktioniert es bei mir einwandfrei (eigener Server)

    Habe mittlerweile ja 2 Lizenzen von dir gekauft (eine bei Woltlab und eine in deinem Forum)

    Teste einfach den Vorschlag von dir und berichte dann darüber.


    mg H.B.

  • So wie das aussieht funktionieren die News jetzt einwandfrei unter php 8.0.1

    Bestimmt gibt es auch noch andere Plugins wo unter php 8.0.1 nicht funktionieren aber das ist deren Aufgabe von Drittanbieter Entwickler.

    Dir Cyperghost sag ich mal vielen Dank für die schnelle Hilfe und Support


    mg H.B. :thumbup:;):)

  • Hab gerade festgestellt das es unter php 8.0.1 auch von anderen Drittanbieter von Plugins Probleme gibt.

    Sage dazu nur eins die Entwickler sollen sich selber den Kopf zerbrechen da sie ja auch Geld verlangen und Mitglieder die wissen zeigen nur ver...... werden.

    Dir Cyperghost vielen Dank für deine Hilfe und das funktioniert so wie du es sein soll.

    mg H.B. :thumbup:;)